---
# tasks file for get-vault-secret
- name: Read secret
  shell: "vault kv get -address=\"http://{{ vault_service }}.{{ vault_namespace }}.svc.cluster.local:8200\" -format json {{ secret_name }}"
  register: vault_response

- debug:
    msg: "{{ vault_response.stdout | from_json | json_query('data.data') }}"